• Home
  • Help
  • Search
  • Login
  • Register
Pages: [1]
Author Topic: Hamachi VPN will not install  (Read 9331 times)
tehcrash
Newbie
*

Karma: 0
Posts: 8


View Profile
« on: April 14, 2009, 10:46:19 PM »

I have attempted to install Hamachi on my plug, but have not had any success with it.

I'm running the Ubuntu distribution from the Marvell site.


The instructions for installing it on a linux machine are quite simple, untar and make install, but for some reason this is failing. 
The Makefile uses strip (from gcc and/or binutils packages), but strip fails, giving the message:
Quote
strip: Unable to recognise the format of the input file '/sbin/tuncfg'

I have reinstalled the binutils package to make sure strip was properly installed, re-untared the package, attempted the make install again, manually copying and chmoding the fils (though, without striping), and even attempted porting the /sbin/tuncfg file from my Ubuntu laptop to see if that would work, but in every case, I will get the previous error, or get a message of:
Quote
-bash: /sbin/tuncfg: cannot execute binary file
when I attempt to run the executable myself.

As a bit of a newbie to Linux, I would not be surprised if I am missing something completely obvious.
Any ideas?
Logged

aliosa27
Newbie
*

Karma: 0
Posts: 6


View Profile
« Reply #1 on: April 14, 2009, 11:03:07 PM »

you tried to install the x86 version, the only armel  based version is for the nokia 770..and im sure it wont work ither

Logged

karurosu
Global Moderator
Full Member
*****

Karma: 0
Posts: 116



View Profile WWW
« Reply #2 on: April 15, 2009, 12:20:46 AM »

Check n2n: http://www.ntop.org/n2n/
You need a server to act as supernode, but it looks nice.
I had limited success with 2 Macs, but I am going to try again later.
Logged

tehcrash
Newbie
*

Karma: 0
Posts: 8


View Profile
« Reply #3 on: April 15, 2009, 07:51:12 AM »

I tried the Nokia770 version of Hamachi.  It installed the tuncfg correctly, and hamachi-init ran correctly.

However, attempting to run "hamachi start" failed.  It looks like its a problem with the tun device.

Quote
root@debian:~# hamachi start
26 18:08:16.911 [   0] [ 1364] tap: connect() failed 2 (No such file or directory)
root@debian:~# modprobe tun
FATAL: Could not load /lib/modules/2.6.22.18/modules.dep: No such file or directory
root@debian:~# ls -la /dev/net/tun
crw------- 1 root root 10, 200 Jan 26 18:04 /dev/net/tun
root@debian:~# cat /dev/net/tun
cat: /dev/net/tun: No such device

So, /dev/net/tun exists (i think), but does not seem to want to load.

I'm not sure if this matters or not, but not only does the module that modprobe fail to run not exist, but the /lib/modules directory is also completely empty.

Update:
I found that the module.dep file is created by running depmod.  It fails at first, but a mkdir /lib/modules/[version number here] allows it to complete. 

However, still have the problem of:
Quote
root@debian:~# modprobe tun
FATAL: Module tun not found.



Would this mean that the current kernel does not have the tun module?


« Last Edit: April 15, 2009, 08:23:17 AM by tehcrash » Logged

moshiach
Guest
« Reply #4 on: April 15, 2009, 01:18:54 PM »

I think the current image is missing tun, but I can't confirm that right now.  You could always rebuild the kernel to make that image.
Logged

bzhou
Global Moderator
Newbie
*****

Karma: 0
Posts: 43


View Profile
« Reply #5 on: April 16, 2009, 07:20:06 PM »

See http://openplug.org/plugforum/index.php?topic=92.0 on one way to get tun.ko
Logged

C3
Newbie
*

Karma: 0
Posts: 1


View Profile
« Reply #6 on: January 08, 2011, 09:02:42 AM »

up front:  I still don't hamachi working....would love any ideas to get it working fully

I found this link to be most helpful in getting through most the install:  http://www.howtoforge.com/how-to-install-hamachi-on-fedora9, esp recompiling tuncfg
(also had to apt-get install gcc and upx-ucl)

unfortunately, cannot get hamachi-init to run...fails with:   /usr/bin/hamachi-init: cannot execute binary file
All permissions, executable bits, etc are set correctly...starting to wonder if there is a compatibility problem btw hamachi and guruplug

Thoughts anyone? 
Logged

Pages: [1]
Print
Jump to: